name: flutter_onboarding_app
description: Tarteel - Quran memorization and Tajweed learning platform.
publish_to: 'none'
version: 1.0.0+1

environment:
  sdk: '>=3.0.0 <4.0.0'

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  cupertino_icons: ^1.0.2

  # HTTP client with interceptors
  dio: ^5.4.0

  # Local storage for JWT token and user data
  shared_preferences: ^2.2.2

  # Real-time WebSocket chat
  socket_io_client: ^2.0.3+1

  # Local-first offline storage
  hive: ^2.2.3
  hive_flutter: ^1.1.0
  path_provider: ^2.1.2
  uuid: ^4.3.3

  # Audio playback for Quran recitation
  just_audio: ^0.9.40

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^2.0.0

flutter:
  uses-material-design: true

  assets:
    - assets/quran.json
    - assets/surah_banner.png
